<?php


$tree=$this->aqsam_model->GetCats();
$cat_tree=$this->aqsam_model->cat_tree($tree);
$cats = array_values($cat_tree);

$show_untick=get("show_untick");
$show_untick=is($show_untick=="true",1,0);	



?>

<script>
Vue.prototype.$http = axios

var app = new Vue({
  data: {
   maktaba_res:[],
   tullab_list:'',
   this_talib:{
	   id:'',
	   yrs:[]
   },
	fltrs: {
		search: {
			q:"",
			in:"title",
			name:"عنوان الفتوى",
			show_untick:<?=is($show_untick==1,'true','false')?>,

		
		},aqsam: {
			rows:<?=json_encode($cats)?>,
			ids:[],
		},qrs: [
			{"q":"<?=is(get('title'),get('title'))?>","in":"title","name":"فتوی کا عنوان"},
			{"q":"<?=is(get('fatwa_no'),get('fatwa_no'))?>","in":"fatwa_no","name":"فتوی نمبر"},
			{"q":"<?=is(get('sawal'),get('sawal'))?>","in":"sawal","name":"سوال کی عبارت"},
			{"q":"<?=is(get('jawab'),get('jawab'))?>","in":"jawab","name":"جواب کی عبارت"},
			{"q":"<?=is(get('tags'),get('tags'))?>","in":"tags","name":"کی ورڈز"},
			{"q":"<?=is(get('mujeeb_name'),get('mujeeb_name'))?>","in":"mujeeb_name","name":"مجیب کا نام"},
			{"q":"<?=is(get('mustafti_name'),get('mustafti_name'))?>","in":"mustafti_name","name":"مستفتی کا نام"},
			{"q":"<?=is(get('date'),get('date'))?>","in":"date","name":"تاريخ اجراء"},
			{"q":"<?=is(get('date_rsv'),get('date_rsv'))?>","in":"date_rsv","name":"تاریخ استفتاء"},
			]
		,sorts: [
			{"col":"id","type":"a2z"},
			{"col":"title","type":"a2z"},
			]
		,page: 1
	},
	selected: {
		
	yr_id: '',
	qism_id: '',
	branch_id: '',
	class_id: '',
	join_date: '',
	left_date: '',
	active: 1, // جعل هذا الصف حاليا
	untick: 0, // جعل المحددين غير مكتملي البيانات
    tullab: [],
      
    },col: {
			id : 0,
			fatwa_no : 1,
			title:1,
			mustafti_name:1,
			mujeeb_name:1,
			mustafti_name:1,
			date_rsv:1,
			date:1,
			step_name:1,
			
			heading : "الفتاوی",
			top_text : " ",
			bottom_text : "",
			cols: [],
			sett: {
				"table_name": "fatawa",
				"title": "عنوان التخصیص",
			}
		,

		},
		    table_setts: [],


	},
  mounted: function () {
	 this.get_tullab();
	 this.get_table_setts();

	  
  },
  
  computed: {
   
  },components: {
    Pagination
  },
  methods: {
	  is: function (vrbl,text,false_text=null){
if(vrbl){
x=text;
}else{
x=  false_text;
}
return x;
},
	  popup: function(url, w= 413 , h = 500, title = null) {
		 
			window.open(url,title,'width='+w+',height='+h+',toolbar=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes');
			
        },
	  TullabPaging: function (pageNum) {
		this.fltrs.page=pageNum;
      this.get_tullab();
    },
	sortTullab: function (col) {
	var type;
	if(type==null){type='a2z'}
	is_col=_.filter(this.fltrs.sorts,{'col':col});
	is_a2z=_.filter(this.fltrs.sorts,{'col':col,'type':'a2z'});
	this.fltrs.sorts=_.pullAllBy(this.fltrs.sorts, [{ 'col': col }], 'col');
	
	if(is_col.length>0){
		if (is_a2z.length>0){
			type='z2a';
		}else{
		type='a2z';
	}
		
	}
	this.fltrs.sorts.unshift({"col":col,"type":type});
	this.get_tullab();
	
},  
 checkAll: function() {
 _.forEach(this.tullab_list.rows,function (o){
	app.selected.tullab.push(_.pick(o,['id','title','fatwa_no']))
}
);
this.selected.tullab=_.uniqBy(this.selected.tullab, 'id');
},save_table_sett: function () {
		$.ajax({
        url: '<?=site_url()?>/admin/ajax/tullab/save_table_sett/',
        type: 'get',
        data: {
          json: JSON.stringify(this.col)

        }
      }).done(function(val) {         
		app.get_table_setts();
		   UIkit.notification({message: 'تم حفظ المسودة بنجاح!', status: 'success', pos: 'top-center', timeout: 1000});
      })
		console.log(this.col);
		
    },
    get_table_setts: function () {
      this.$http.get("<?=site_url()?>/admin/ajax/db/rows?select=*&from=table_sett&where=table_name='tullab'&orderby=id DESC ", {})
        .then(function (response) {
          app.table_setts = response.data;
        })
        .catch(function (error) {
          console.log(error);
        });
    },
    del_table_sett: function (id, index) {
      this.table_setts.splice(index, 1)

      this.$http.get('<?=site_url()?>/admin/ajax/db/del?from=table_sett&where=id=' + id, {})
        .then(function (response) {
		app.get_table_setts();
        })
        .catch(function (error) {
          console.log(error);
        });
    },
    to_crrnt_table_sett: function (json) {
      this.col = $.parseJSON(json);
    },
add1BFile: function () {
  app.col.cols.push({
	title: "",
  });
},
remove1BFile: function (index) {
  app.col.cols.splice(index, 1)

},
flterd_classes: function(array) {
			
			return _.filter(array, {
	'branch_id': _.toString(this.fltrs.branches.id),
	'qism_id': _.toString(this.fltrs.aqsam.id),
	'acdmc_yr_id': _.toString(this.fltrs.yrs.id),
	});
        },selected_classes: function(array) {
			
			return _.filter(array, {
	'branch_id': _.toString(this.fltrs.branches.id),
	'qism_id': _.toString(this.fltrs.aqsam.id),
	'acdmc_yr_id': _.toString(this.fltrs.yrs.id),
	});
        },
		
   get_tullab: function () {
	   
	   var formData = {
  "aqsam[]": "-1",
  "authors[]": "-1",
  "books[]": "-1",
  "decades[]": "-1",
  "page": "2",
  "term": "بسم الله"
};

	$.ajax({
        url: 'https://al-maktaba.org/ajax/search',
        type: 'post',
        data: formData
      }).done(function(val) {
		app.maktaba_res=val
		   UIkit.notification({message: 'تم حفظ المسودة بنجاح!', status: 'success', pos: 'top-center', timeout: 1000});
      })

     
		$('.loading_tullab').css('display', 'block');
		var url='<?=site_url()?>/admin/ajax/fatawa?'+
		'q=' + this.fltrs.search.q + 
		'&in=' + this.fltrs.search.in   +
	  '&aqsam=' + JSON.stringify(this.fltrs.aqsam.ids)+
		'&show_untick=' + this.fltrs.search.show_untick  +

		'&sorts=' + JSON.stringify(this.fltrs.sorts) +
		'&qrs=' + JSON.stringify(this.fltrs.qrs) +
		'&page=' + this.fltrs.page
      this.$http.get(url, {})
        .then(function (response) {
          
		$('.loading_tullab').css('display', 'none');

                   app.tullab_list = response.data;

          console.log(url);
        })
        .catch(function (error) {
          console.log(error);
        });
    }, tick_tullab: function () {
     
		$('.loading').css('display', 'block');
			
		var url='<?=site_url()?>/admin/ajax/fatawa/tick_ids/?'+
		'tullab_ids=' + JSON.stringify(_.map(this.selected.tullab,'id'))+
		'&untick='+this.selected.untick 
      this.$http.get(url, {})
        .then(function (response) {
          
		$('.loading').css('display', 'none');
          console.log(url);
		  
		UIkit.notification({
			message: response.data.msg,
			status: 'success',
			pos: 'top-left',
			timeout: 2000
		});
		  	 app.get_tullab();

        })
        .catch(function (error) {
          console.log(error);
        });
    }, add_to_class: function () {
     
		$('.loading').css('display', 'block');
			if(this.selected.active==true){this.selected.active=1}
		var url='<?=site_url()?>/admin/ajax/tullab/add_to_class/?'+
		'tullab_ids=' + JSON.stringify(_.map(this.selected.tullab,'id'))+
		'&active='+this.selected.active +
		'&class_id='+this.selected.class_id +
		'&join_date='+this.selected.join_date +
		'&left_date='+this.selected.left_date 
      this.$http.get(url, {})
        .then(function (response) {
          
		$('.loading').css('display', 'none');
          console.log(url);
		  
		UIkit.notification({
			message: response.data.msg,
			status: 'success',
			pos: 'top-left',
			timeout: 2000
		});
		 app.get_tullab(); 
        })
        .catch(function (error) {
          console.log(error);
        });
    }, active_class: function (talib_id,class_id) {
     
		$('.loading').css('display', 'block');
			
		var url='<?=site_url()?>/admin/ajax/tullab/active_class/?'+
		'talib_id=' + talib_id+'&class_id='+class_id 
      this.$http.get(url, {})
        .then(function (response) {
          
		$('.loading').css('display', 'none');
          console.log(response.data);
		  		UIkit.notification({
			message: response.data.msg,
			status: 'success',
			pos: 'top-left',
			timeout: 2000
		});

		app.get_tullab();
        })
        .catch(function (error) {
          console.log(error);
        });
		
    }, del_from_class: function (talib_id,class_id) {
     
		$('.loading').css('display', 'block');
			
		var url='<?=site_url()?>/admin/ajax/tullab/del_from_class/?'+
		'talib_id=' + talib_id+'&class_id='+class_id 
      this.$http.get(url, {})
        .then(function (response) {
          
		$('.loading').css('display', 'none');
          console.log(response.data);
		  Command: toastr["success"](response.data.msg)
		app.get_tullab();
        })
        .catch(function (error) {
          console.log(error);
        });
    },  
 addToSelected: function (i) {
	console.log(_.pick(i,'id','name','walid_name'));
      app.selected.tullab.push(_.pick(i,'id','name','walid_name'));

    },  
 removeFromSelected: function (i) {

      app.selected.tullab.push(_.pick(i,'id','name','walid_name'));
	
    },  
 allSelect: function () {
	 if(this.tullab_list.rows.length > app.selected.tullab.length){
		 
		 
		 this.selected.tullab= this.tullab_list.rows 
		 console.log(this.tullab_list.rows.length)
		 console.log(this.selected.tullab.length)
	 }else{
		 		app.selected.tullab=[];
console.log(app.tullab_list.rows.length)
		 console.log(app.selected.tullab.length)
	 }
		 
     
    },
	isInSelected: function (id) {
      var matches = 0;
      for (var idx in this.selected.tullab) {
        var currentItem = this.selected.tullab[idx];
        if (currentItem.id == id) {
          matches++
        }
      }
      if (matches == 0) {
        return true;
      } else {
        return false;
      }
    },
	checkthis: function (id) {
      var matches = 0;
      for (var idx in this.selected.tullab) {
        var currentItem = this.selected.tullab[idx];
        if (currentItem.id == id) {
          matches++
        }
      }
      if (matches == 0) {
            this.checked = ! this.checked;

      } else {
        return false;
      }
    },
    print: function (elem) {

window.print();
	}
 
  }


}).$mount('#app');
//

  $('document').ready(function() {
       var allroutes = function() {
        var route = window.location.hash.slice(2);
        var sections = $('section');
        var section;


        section = sections.filter("[data-route=\"" + route + "\"]");

        if (section.length) {
          sections.hide();
          section.show();
        }
      };  
	  
      var Home = function () { };
      var showSelected = function () { console.log("showSelected"); };
      var showUpdate = function () { console.log("showUpdate"); };
   
      var routes = {
        '/': Home,
        '/selected': showSelected,
        '/update': showUpdate,
        
      };

     
      var router = Router(routes);

      //
      // a global configuration setting.
      //
      router.configure({
        on: allroutes
      });

      router.init(['/']);
    });
		




</script>

<style>
.dropdown-item {
    padding: 3px 20px;
}
.table td, .table th {
    padding: 5px;
    vertical-align: top;
}

.side_btns{
	padding: 3px 3px;
}
</style>

